#include<bits/stdc++.h>
using namespace std;
vector<int> v;
int main()
{
    int a,b;
    int  n,q;
      cin >> n >> q;
      for(int i=0;i<n;i++)
      {
          cin >> a;
          v.push_back(a);
      }
      sort(v.begin(),v.end());
      int med=n/2+1;
      for(int i=0;i<q;i++)
      {
          cin >> b;
          int c=0;
          int res=0;
              int lowpos=lower_bound(v.begin(),v.end(),b)+1-v.begin();
              int upppos=upper_bound(v.begin(),v.end(),b)-v.begin();
              if(lowpos>med)
              {
                  res=(2*lowpos-2)-n;
              }
              else
              {
                  if(upppos<med)
                  {
                      if(lowpos>upppos)
                      {

                      res=n-upppos-upppos;
                      }
                      else
                      {
                          res=n-upppos-upppos+1;
                      }
                  }
                  else
                  {
                      res=0;
                  }
              }
              cout << res<<endl;


      }
}